Debian Bug report logs - #203211
RFP: avidemux -- a video editing software

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Mon, 28 Jul 2003 15:18:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to rmh@debian.org:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: rmh@debian.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Mon, 28 Jul 2003 17:10:22 +0000
Package: wnpp
Version: unavailable; reported 2003-07-28
Severity: wishlist

* Package name    : avidemux
* URL             : http://fixounet.free.fr/avidemux/
* License         : GPL
  Description     : A small editing software for avi (especially DivX)

 With avidemux you can open divx, process the audio track with the included
 filters and save a part of the avi (i.e. split).
 .
 De-multiplex audio & video is also possible, the audio track can be coming
 from the avi or an external Wav/MP3 file.

There are packages made by Christian Marillat <marillat@debian.org>
avaiable in http://perso.wanadoo.fr/debian/dists/unstable/main/source/

I'll ask him about adding them to debian.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux aragorn 2.2.25 #1 Fri Jun 20 19:28:33 EST 2003 i686
Locale: LANG=ca_ES@euro, LC_CTYPE=ca_ES@euro




Changed Bug title. Request was from Clément Stenac <zorglub@via.ecp.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to rmh@debian.org:
Bug#203211. Full text and rfc822 format available.

Message #10 received at 203211-submitter@bugs.debian.org (full text, mbox):

From: Clément Stenac <zorglub@via.ecp.fr>
To: 203211-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Intent to package avidemux
Date: Thu, 24 Mar 2005 23:45:02 +0100
retitle 203211 ITP: avidemux -- A video editing software
thanks

Hello,

I intend to (re)package avidemux for Debian.

Now that ffmpeg has been integrated, it will be easier. (of course, MP3
and AAC encoding won't be enabled because of patent issues).

I am aware of Chritian Marillat's packages, but as he maintains a
separated set of packages, and enables patent-enforced formats, they
can't be used directly.

Regards,

-- 
Clément Stenac
http://clement.stenac.org



Information stored:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 203211-quiet@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Cl?ment Stenac <zorglub@via.ecp.fr>, 203211-quiet@bugs.debian.org
Cc: 203211-submitter@bugs.debian.org
Subject: Re: Bug#203211: Intent to package avidemux
Date: Fri, 25 Mar 2005 17:31:18 +0100
On Thu, Mar 24, 2005 at 11:45:02PM +0100, Cl?ment Stenac wrote:
> retitle 203211 ITP: avidemux -- A video editing software
> thanks
> 
> Hello,
> 
> I intend to (re)package avidemux for Debian.
> 
> Now that ffmpeg has been integrated, it will be easier. (of course, MP3
> and AAC encoding won't be enabled because of patent issues).
> 
> I am aware of Chritian Marillat's packages, but as he maintains a
> separated set of packages, and enables patent-enforced formats, they
> can't be used directly.

Thanks!

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-



Message sent on to rmh@debian.org:
Bug#203211. Full text and rfc822 format available.

Changed Bug submitter from rmh@debian.org to Robert Millan <rmh@aybabtu.com>. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#203211. Full text and rfc822 format available.

Message #23 received at 203211-submitter@bugs.debian.org (full text, mbox):

From: Cyrille Bollu <cyrille.bollu@tiscali.be>
To: debian-legal@lists.debian.org, 203211-submitter@bugs.debian.org
Cc: cyrille.bollu@tiscali.be, Mean <fixounet@free.fr>
Subject: [Fwd: Re: avidemux in Debian]
Date: Mon, 10 Apr 2006 21:46:40 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Dears,

(should you reply, please keep me cc'ed)

According to avidemux's author, it cannot be part of Debian due to
license/patent restriction on mpeg2/mpeg4 encoding/decoding parts.

However, this sounds strange to me: Should it be the case, what about
VLC, mplayer, transcode,... which also contain mpeg2/mpeg4
encoding/decoding parts?

Avidemux (http://fixounet.free.fr/avidemux/) is a very nice video
editing software and having it in Debian would really improve it.

Other Debian users have already shown their interest in this software:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203211

Isn't "non-free" the section for this kind of software?

Best regards,

Cyrille

- -------- Original Message --------
Subject: Re: avidemux in Debian
Date: Mon, 10 Apr 2006 22:17:01 +0200
From: Mean <fixounet@free.fr>
To: Cyrille Bollu <cyrille.bollu@tiscali.be>
References: <44396A8F.9060302@tiscali.be>

Cyrille Bollu wrote:

>-----BEGIN PGP SIGNED MESSAGE-----
>Hash: SHA1
>
>Bonjour,
>
>plusieurs personnes ont déjà montré leur intérêt à créer un paquet
>officiel Debian pour avidemux. Mais jusqu'à présent sans résultat
>(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203211).
>
>J'aimerais bien participer au projet Debian et pensais qu'y intégrer
>avidemux aurait été une bonne chose.
>
>Y'a-t-il une raison au fait que personne n'aie encore intégré avidemux à
>Debian?
>  
>

Oui, un problème legal
Avidemux embarque des encodeur/decodeur mpeg2/mpeg4/xxxx
qui sont couverts par des patents/brevets

J'ai cru comprendre que la politique debian etait de ne pas creer de
paquet pouvant entrainer
des liabilities liés aux brevets

On trouve un paquet debian chez Christian Marillat avec d'autres paquets
problematiques (mplayer/ffmpeg/....)


A+

Ps: désolé pour le charabia pseudo legal


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFEOrYgego27Gyd61kRAs9bAJ9PShXFwqFczGKwRiev7Wq4ktid+ACdEuov
4aLEURA/9D8qytfirBT/hSI=
=Wa1Z
-----END PGP SIGNATURE-----



Owner recorded as Clément Stenac <zorglub@via.ecp.fr>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <shevek@fmf.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>. Full text and rfc822 format available.

Message #30 received at 203211@bugs.debian.org (full text, mbox):

From: Bas Wijnen <shevek@fmf.nl>
To: debian-legal@lists.debian.org, 203211-submitter@bugs.debian.org, 203211@bugs.debian.org
Subject: Software patents and Debian
Date: Wed, 16 Aug 2006 11:04:44 +0200
[Message part 1 (text/plain, inline)]
Hello,

When looking for some video-editing software, I found avidemux.  According to
the wnpp bug, there is a problem with license issues regarding the MPEG2/MPEG4
codec.  There is a software patent on this codec, and a paid license is needed
in order to use it, appearantly.

My question is how Debian handles software patents.  I thought we didn't care
about them except if they were actively enforced, because it's completely
impossible to avoid all patented software, considering the junk that gets
patented.  If that is the case, would any of you know if the MPEG[24] codec
patents are actively enforced?  In other words, can this be in Debian?

Thanks,
Bas Wijnen

Ps: Please keep me CCd, I'm not on the list.

-- 
I encourage people to send encrypted e-mail (see http://www.gnupg.org).
If you have problems reading my e-mail, use a better reader.
Please send the central message of e-mails as plain text
   in the message body, not as HTML and definitely not as MS Word.
Please do not use the MS Word format for attachments either.
For more information, see http://129.125.47.90/e-mail.html
[signature.asc (application/pgp-signature, inline)]

Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#203211. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Markus Laire" <malaire@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>. Full text and rfc822 format available.

Message #38 received at 203211@bugs.debian.org (full text, mbox):

From: "Markus Laire" <malaire@gmail.com>
To: "Bas Wijnen" <shevek@fmf.nl>, debian-legal@lists.debian.org, 203211-submitter@bugs.debian.org, 203211@bugs.debian.org
Subject: Re: Software patents and Debian
Date: Wed, 16 Aug 2006 12:27:39 +0300
On 8/16/06, Bas Wijnen <shevek@fmf.nl> wrote:
> Hello,
>
> When looking for some video-editing software, I found avidemux.  According to
> the wnpp bug, there is a problem with license issues regarding the MPEG2/MPEG4
> codec.  There is a software patent on this codec, and a paid license is needed
> in order to use it, appearantly.
>
> My question is how Debian handles software patents.  I thought we didn't care
> about them except if they were actively enforced, because it's completely
> impossible to avoid all patented software, considering the junk that gets
> patented.  If that is the case, would any of you know if the MPEG[24] codec
> patents are actively enforced?  In other words, can this be in Debian?

Some days ago I saw a "Legal Mini-FAQ"[1] for FFmpeg which says, among
other things:
<quote>
Q: Since FFmpeg is licensed under the LGPL, is it perfectly all right
to incorporate the whole FFmpeg core into my own commercial product?
A: You might have a problem here. Sure the LGPL allows you to
incorporate the code. However, there have been cases where companies
have used FFmpeg in their projects, usually for such capabilities as
superior MPEG-4 decoding. These companies found out that once you
start trying to make money from certain technologies, the alleged
owners of the technologies will come after their dues. Most notably,
MPEG-LA (licensing authority) is vigilant and diligent about
collecting for MPEG-related technologies.
</quote>

Anyway, ffmpeg[2] is included in Debian

[1] http://ffmpeg.mplayerhq.hu/legal.html
[2] http://packages.debian.org/stable/graphics/ffmpeg

DISCLAIMER: IANAL, IANADD, and I'm not active with Debian, except by
reading few mailing lists.

-- 
Markus Laire



Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#203211. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>. Full text and rfc822 format available.

Message #46 received at 203211@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Bas Wijnen <shevek@fmf.nl>, debian-legal@lists.debian.org, 203211-submitter@bugs.debian.org, 203211@bugs.debian.org
Subject: Re: Bug#203211: Software patents and Debian
Date: Wed, 16 Aug 2006 12:10:18 +0200
On Wed, Aug 16, 2006 at 11:04:44AM +0200, Bas Wijnen wrote:
> Hello,
> 
> When looking for some video-editing software, I found avidemux.  According to
> the wnpp bug, there is a problem with license issues regarding the MPEG2/MPEG4
> codec.  There is a software patent on this codec, and a paid license is needed
> in order to use it, appearantly.
> 
> My question is how Debian handles software patents.  I thought we didn't care
> about them except if they were actively enforced, because it's completely
> impossible to avoid all patented software, considering the junk that gets
> patented.  If that is the case, would any of you know if the MPEG[24] codec
> patents are actively enforced?  In other words, can this be in Debian?
> 
> Thanks,
> Bas Wijnen
> 
> Ps: Please keep me CCd, I'm not on the list.

Why not just removing the offending code and leaving avidemux only with support
for patent-free codecs like theora?

-- 
Robert Millan

My spam trap is honeypot@aybabtu.com.  Note: this address is only intended for
spam harvesters.  Writing to it will get you added to my black list.



Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#203211. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Weakish Jiang <weakish@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>. Full text and rfc822 format available.

Message #54 received at 203211@bugs.debian.org (full text, mbox):

From: Weakish Jiang <weakish@gmail.com>
To: Bas Wijnen <shevek@fmf.nl>, debian-legal@lists.debian.org, 203211-submitter@bugs.debian.org, 203211@bugs.debian.org
Subject: Re: Software patents and Debian
Date: Thu, 17 Aug 2006 22:44:25 +0800

Bas Wijnen wrote:

 I thought we didn't care
> about them except if they were actively enforced, because it's completely
> impossible to avoid all patented software, considering the junk that gets
> patented.  
>
Unless the patent is licensed for everyone's free use or not licensed at
all, it won't conform to the DFSG, even if it is not actively enforced.







Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#203211. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <shevek@fmf.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>. Full text and rfc822 format available.

Message #62 received at 203211@bugs.debian.org (full text, mbox):

From: Bas Wijnen <shevek@fmf.nl>
To: debian-legal@lists.debian.org, 203211-submitter@bugs.debian.org, 203211@bugs.debian.org
Subject: Re: Software patents and Debian
Date: Thu, 17 Aug 2006 17:17:09 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 17, 2006 at 10:44:25PM +0800, Weakish Jiang wrote:
> Bas Wijnen wrote:
> 
> > I thought we didn't care about them except if they were actively enforced,
> > because it's completely impossible to avoid all patented software,
> > considering the junk that gets patented.  
> >
> Unless the patent is licensed for everyone's free use or not licensed at
> all, it won't conform to the DFSG, even if it is not actively enforced.

Ok, I should be more careful with what I say on debian-legal. :-)  What you
say is obviously true if the programmer of the software has a patent on that
software.  However, in this case (and, I suppose, in the case of any other
program), there are patents held by third parties.  They may or may not
actively enforce them.  It is likely that distributing the program is a patent
violation by the programmer, at least in some countries (such as the US).  It
is also a violation for us to distribute it in those countries (if the patents
are valid, which is doubtful, but some of them may be, and this particular one
for mpeg4 probably is, I think).

So the license of the software is fine, the problem is that the programmer may
be illegally distributing the software to us, and it would be illegal for us
to distribute it to anyone else.  We can of course claim that we don't know,
and assume that the programmer knew what he was doing.  This is not unlikely
(actually, it's even true for me).  This means we only have to stop
distributing when the programmer does indeed get sued and loses the case.

The question was if that is indeed the way Debian does these things.  And in
particular, people do get sued for using the mpeg4 codec, IIUC.  So does that
mean we would at least consider it non-free?  Or not distributable at all?

Of course IANAL (that's why I'm asking here ;-) ), so in case of any
inaccuracies in the above, I'd appreciate corrections.

Oh, and about the suggestion to remove the problematic code: That's an option,
but I prefer not spending time on removing functionality from programs.

Thanks,
Bas Wijnen

-- 
I encourage people to send encrypted e-mail (see http://www.gnupg.org).
If you have problems reading my e-mail, use a better reader.
Please send the central message of e-mails as plain text
   in the message body, not as HTML and definitely not as MS Word.
Please do not use the MS Word format for attachments either.
For more information, see http://129.125.47.90/e-mail.html
[signature.asc (application/pgp-signature, inline)]

Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#203211. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>. Full text and rfc822 format available.

Message #70 received at 203211@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: debian-legal@lists.debian.org
Cc: Bas Wijnen <shevek@fmf.nl>, 203211-submitter@bugs.debian.org, 203211@bugs.debian.org
Subject: Re: Bug#203211: Software patents and Debian
Date: Thu, 17 Aug 2006 15:44:45 +0200
Am 2006-08-16 11:04:44, schrieb Bas Wijnen:
> Hello,
> 
> When looking for some video-editing software, I found avidemux.
>  According to
> the wnpp bug, there is a problem with license issues regarding the
> MPEG2/MPEG4
> codec.  There is a software patent on this codec, and a paid license is
> needed
> in order to use it, appearantly.

You can obtaine an individual licence for 5000 US$
from the patent holder. same thing for libcss2.

> My question is how Debian handles software patents.  I thought we

Debian does not handel any software patents, since you can obtaine
at any moments a legal individual licence

> didn't care
> about them except if they were actively enforced, because it's
> completely
> impossible to avoid all patented software, considering the junk that
> gets
> patented.  If that is the case, would any of you know if the MPEG[24]
> codec
> patents are actively enforced?  In other words, can this be in Debian?

Patents on decoding something can not be enforced.

Patents on encoding YES!

Please look at the websiote of the patent holder.
All informations are availlable public.


Greetings
    Michelle Konzack
    Systemadministrator
    Tamay Dogan Network
    Debian GNU/Linux Consultant


-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/6/61925193    67100 Strasbourg/France   IRC #Debian (irc.icq.com)




Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#203211. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>. Full text and rfc822 format available.

Message #78 received at 203211@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: Weakish Jiang <weakish@gmail.com>, 203211@bugs.debian.org
Cc: Bas Wijnen <shevek@fmf.nl>, debian-legal@lists.debian.org, 203211-submitter@bugs.debian.org
Subject: Re: Bug#203211: Software patents and Debian
Date: Fri, 18 Aug 2006 14:34:41 +0200
Am 2006-08-17 22:44:25, schrieb Weakish Jiang:
> 
> 
> Bas Wijnen wrote:
> 
>  I thought we didn't care
> > about them except if they were actively enforced, because it's completely
> > impossible to avoid all patented software, considering the junk that gets
> > patented.  
> >
> Unless the patent is licensed for everyone's free use or not licensed at
> all, it won't conform to the DFSG, even if it is not actively enforced.

Not realy right => JPEG

And they are some dozen others which are not actively enforced.

If Debian kick off all packages which use patented stuff anywhere
then we would have only 50% of the packages in Sid...

Greetings
    Michelle Konzack
    Systemadministrator
    Tamay Dogan Network
    Debian GNU/Linux Consultant


-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/
##################### Debian GNU/Linux Consultant #####################
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/6/61925193    67100 Strasbourg/France   IRC #Debian (irc.icq.com)



Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#203211. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurélien GÉRÔME <ag@roxor.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clément Stenac <zorglub@via.ecp.fr>. Full text and rfc822 format available.

Message #86 received at 203211@bugs.debian.org (full text, mbox):

From: Aurélien GÉRÔME <ag@roxor.cx>
To: 203211@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ITP: avidemux -- A video editing software
Date: Sun, 10 Dec 2006 13:52:29 +0100
[Message part 1 (text/plain, inline)]
owner 203211 !
thanks

Clément told me on #debian-devel-fr that he was not interested
anymore in avidemux. Therefore, I am taking over this ITP.

Cheers,
-- 
 .''`.   Aurélien GÉRÔME
: :'  :
`. `'`   Free Software Developer
  `-     Unix Sys & Net Admin
[signature.asc (application/pgp-signature, inline)]

Owner changed from Clément Stenac <zorglub@via.ecp.fr> to Aurélien GÉRÔME <ag@roxor.cx>. Request was from Aurélien GÉRÔME <ag@roxor.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Aurélien GÉRÔME <ag@roxor.cx>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ludovic RESLINGER <lr@cuivres.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Aurélien GÉRÔME <ag@roxor.cx>. Full text and rfc822 format available.

Message #93 received at 203211@bugs.debian.org (full text, mbox):

From: Ludovic RESLINGER <lr@cuivres.net>
To: Aurélien GÉRÔME <ag@roxor.cx>
Cc: 203211@bugs.debian.org
Subject: Re: Bug#203211: ITP: avidemux -- A video editing software
Date: Sun, 10 Dec 2006 16:04:51 +0100
[Message part 1 (text/plain, inline)]
On Sun, Dec 10, 2006 at 01:52:29PM +0100, Aurélien GÉRÔME wrote:
> Clément told me on #debian-devel-fr that he was not interested
> anymore in avidemux. Therefore, I am taking over this ITP.

Hi,

If you accept it, I could co-maintain avidemux with you.

Regards,
-- 
    .---.      Ludovic RESLINGER
   /     \
   \.@-@./     Trumpet Student in CNR
   /`\_/`\     Free Software Developer
  // )X( \\
 | \  :  )|_                   _,'|   .''`.
/`\_`>  <_/ \ @======TTT=====::_  |  : :'  :
\__/'---'\__/   ((_<=HHH___))   `.|  `. `'`
                 `---UUU---'=>         `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurélien GÉRÔME <ag@roxor.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #98 received at 203211@bugs.debian.org (full text, mbox):

From: Aurélien GÉRÔME <ag@roxor.cx>
To: Ludovic RESLINGER <lr@cuivres.net>
Cc: 203211@bugs.debian.org
Subject: Re: Bug#203211: ITP: avidemux -- A video editing software
Date: Sun, 10 Dec 2006 16:06:37 +0100
[Message part 1 (text/plain, inline)]
Hi Ludovic,

On Sun, Dec 10, 2006 at 04:04:51PM +0100, Ludovic RESLINGER wrote:
> On Sun, Dec 10, 2006 at 01:52:29PM +0100, Aurélien GÉRÔME wrote:
> > Clément told me on #debian-devel-fr that he was not interested
> > anymore in avidemux. Therefore, I am taking over this ITP.
> 
> If you accept it, I could co-maintain avidemux with you.

Sure, let's do this. :)

Cheers,
-- 
 .''`.   Aurélien GÉRÔME
: :'  :
`. `'`   Free Software Developer
  `-     Unix Sys & Net Admin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Aurélien GÉRÔME <ag@roxor.cx>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Aurélien GÉRÔME <ag@roxor.cx>. Full text and rfc822 format available.

Message #103 received at 203211@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Aurélien GÉRÔME <ag@roxor.cx>
Cc: 203211@bugs.debian.org
Subject: ITP: avidemux -- A video editing software
Date: Tue, 01 May 2007 11:35:09 +0200
[Message part 1 (text/plain, inline)]
Hi Aurélien,

This ITP is currently "owned" by you:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203211

How is progress with this ITP ? Are you still working on this?

Regards,

Bart Martens

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurélien GÉRÔME <ag@roxor.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #108 received at 203211@bugs.debian.org (full text, mbox):

From: Aurélien GÉRÔME <ag@roxor.cx>
To: Bart Martens <bartm@debian.org>, 203211@bugs.debian.org
Subject: Re: Bug#203211: ITP: avidemux -- A video editing software
Date: Tue, 1 May 2007 12:01:09 +0200
[Message part 1 (text/plain, inline)]
Hi Bart,

On Tue, May 01, 2007 at 11:35:09AM +0200, Bart Martens wrote:
>This ITP is currently "owned" by you:
>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203211
>
>How is progress with this ITP ? Are you still working on this?

We probably have to disable the encoding parts of the codecs which
would ultimately render the software useless. Feel free to help by
sorting the patent issues on the current avidemux code.

Cheers,
-- 
 .''`.   Aurélien GÉRÔME
: :'  :
`. `'`   Free Software Developer
  `-     Unix Sys & Net Admin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurélien GÉRÔME <ag@roxor.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #113 received at 203211@bugs.debian.org (full text, mbox):

From: Aurélien GÉRÔME <ag@roxor.cx>
To: 203211@bugs.debian.org
Cc: control@bugs.debian.org
Subject: No longer intend to package
Date: Sat, 18 Aug 2007 20:42:06 +0200
[Message part 1 (text/plain, inline)]
retitle 203211 RFP: avidemux -- a video editing software
noowner 203211
thanks

Hi,

By lack of time and interest, I am withdrawing my ITP.

Cheers,
-- 
 .''`.   Aurélien GÉRÔME
: :'  :
`. `'`   Free Software Developer
  `-     Unix Sys & Net Admin
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `RFP: avidemux -- a video editing software' from `ITP: avidemux -- A video editing software'. Request was from Aurélien GÉRÔME <ag@roxor.cx> to control@bugs.debian.org. (Sat, 18 Aug 2007 18:45:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Aurélien GÉRÔME <ag@roxor.cx>. Request was from Aurélien GÉRÔME <ag@roxor.cx> to control@bugs.debian.org. (Sat, 18 Aug 2007 18:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurélien GÉRÔME <ag@roxor.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #122 received at 203211@bugs.debian.org (full text, mbox):

From: Aurélien GÉRÔME <ag@roxor.cx>
To: 203211@bugs.debian.org
Subject: Re: No longer intend to package
Date: Sat, 18 Aug 2007 20:56:12 +0200
[Message part 1 (text/plain, inline)]
On Sat, Aug 18, 2007 at 08:42:06PM +0200, Aurélien GÉRÔME wrote:
>By lack of time and interest, I am withdrawing my ITP.

I also think that this software should enter the list at
<http://www.debian.org/devel/wnpp/unable-to-package>.

If anyone thinks differently, he can take over this package.

Cheers,
-- 
 .''`.   Aurélien GÉRÔME
: :'  :
`. `'`   Free Software Developer
  `-     Unix Sys & Net Admin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#203211; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <paul@climbing.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #127 received at 203211@bugs.debian.org (full text, mbox):

From: Paul Gevers <paul@climbing.nl>
To: 203211@bugs.debian.org
Subject: Avidemux already in debian-multimedia.org
Date: Sun, 10 Aug 2008 21:58:55 +0200
tags wontfix
thanks

Avidemux is present at debian-multimedia.org and probably there with reason.

With kind regards,
Paul




Tags added: wontfix Request was from Paul Gevers <paul@climbing.nl> to controlbugs.debian.org. (Sun, 10 Aug 2008 20:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#203211; Package wnpp. (Sun, 03 Jan 2010 11:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to enzotib@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 03 Jan 2010 11:18:02 GMT) Full text and rfc822 format available.

Message #134 received at 203211@bugs.debian.org (full text, mbox):

From: enzotib@gmail.com
To: 203211@bugs.debian.org
Cc: enzotib@gmail.com
Subject: avidemux is already packaged
Date: Sun, 03 Jan 2010 12:15:34 +0100
The application avidemux is present in debian archives, please remove it from ther
it from the RFP list.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#203211; Package wnpp. (Mon, 26 Apr 2010 17:03:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to GW <gwSPAM.debian@tnode.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 26 Apr 2010 17:03:48 GMT) Full text and rfc822 format available.

Message #139 received at 203211@bugs.debian.org (full text, mbox):

From: GW <gwSPAM.debian@tnode.com>
To: 203211@bugs.debian.org
Subject: Re: avidemux is already packaged
Date: Mon, 26 Apr 2010 18:57:25 +0200
No, it isn't already in Debian archives according to:
http://packages.debian.org/search?searchon=names&suite=all&section=all&arch=any&keywords=avidemux

Greetings,
  gw




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#203211; Package wnpp. (Mon, 02 Jan 2012 15:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Jan 2012 15:36:07 GMT) Full text and rfc822 format available.

Message #144 received at 203211@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Cc: 203211@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Mon, 02 Jan 2012 16:37:57 +0100
owner 203211 pkg-multimedia-maintainers@lists.alioth.debian.org
severity 203211 wishlist
tags 203211 =
thanks

This ITP looks like a perfect candidate for the pkg-multimedia team 
now that the software patent FUD has been sorted out in Debian [1].

[1] http://www.debian.org/reports/patent-faq





Owner recorded as pkg-multimedia-maintainers@lists.alioth.debian.org. Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Mon, 02 Jan 2012 15:36:09 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Mon, 02 Jan 2012 15:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Mon, 02 Jan 2012 15:54:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 02 Jan 2012 15:54:21 GMT) Full text and rfc822 format available.

Message #153 received at 203211@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 203211@bugs.debian.org
Subject: Re: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Mon, 02 Jan 2012 16:53:21 +0100
On Mo, Jan 02, 2012 at 16:37:57 (CET), Fabian Greffrath wrote:

> owner 203211 pkg-multimedia-maintainers@lists.alioth.debian.org
> severity 203211 wishlist
> tags 203211 =
> thanks
>
> This ITP looks like a perfect candidate for the pkg-multimedia team
> now.

Indeed, I've enjoyed using it in the past several times.

Does it nowadays work properly with the system libav, or does it still
require its internal copy? If the latter, then it's going to be a lot of
work to get it in shape.

In any case, count me in as Uploader.

Cheers,
Reinhard.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Mon, 02 Jan 2012 16:01:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 02 Jan 2012 16:01:44 GMT) Full text and rfc822 format available.

Message #158 received at 203211@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Reinhard Tartler <siretart@tauware.de>, 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Mon, 02 Jan 2012 17:03:14 +0100
Am 02.01.2012 16:53, schrieb Reinhard Tartler:
> Does it nowadays work properly with the system libav, or does it still
> require its internal copy? If the latter, then it's going to be a lot of
> work to get it in shape.

I haven't had a look at the source, but according to the 2.5.6 release 
notes they "Updated the FFmpeg libraries (version 0.9)". So this 
sounds like they still use an internal copy, but since it's recent 
enough, maybe it's not that hard to use the system libav headers and 
link against the system libs?





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Mon, 02 Jan 2012 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 02 Jan 2012 16:12:03 GMT) Full text and rfc822 format available.

Message #163 received at 203211@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Mon, 02 Jan 2012 17:08:30 +0100
On Mo, Jan 02, 2012 at 17:03:14 (CET), Fabian Greffrath wrote:

> Am 02.01.2012 16:53, schrieb Reinhard Tartler:
>> Does it nowadays work properly with the system libav, or does it still
>> require its internal copy? If the latter, then it's going to be a lot of
>> work to get it in shape.
>
> I haven't had a look at the source, but according to the 2.5.6 release
> notes they "Updated the FFmpeg libraries (version 0.9)". So this sounds
> like they still use an internal copy, but since it's recent enough,
> maybe it's not that hard to use the system libav headers and link
> against the system libs?

Please give it a try and report what issues you encounter. I may be
available for some of the harder tasks.

Cheers.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Mon, 02 Jan 2012 23:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 02 Jan 2012 23:15:12 GMT) Full text and rfc822 format available.

Message #168 received at 203211@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Tue, 3 Jan 2012 00:14:05 +0100
On Mon, Jan 2, 2012 at 5:03 PM, Fabian Greffrath <fabian@greffrath.com> wrote:
> Am 02.01.2012 16:53, schrieb Reinhard Tartler:
>
>> Does it nowadays work properly with the system libav, or does it still
>> require its internal copy? If the latter, then it's going to be a lot of
>> work to get it in shape.
>
>
> I haven't had a look at the source, but according to the 2.5.6 release notes
> they "Updated the FFmpeg libraries (version 0.9)". So this sounds like they
> still use an internal copy, but since it's recent enough, maybe it's not
> that hard to use the system libav headers and link against the system libs?

I've now found the time to look at how avidemux "uses" ffmpeg, but
unfortunately,
I have bad news:

avidemux specifically downloads an ffmpeg-0.9 tarball (we use libav in
debian), and
then applies a larger number of patches:
http://svn.berlios.de/wsvn/avidemux/branches/avidemux_2.5_branch_gruntster/cmake/patches/

Most of those patches actually look pretty scary to me. Additionally, most
of the comments in those patches don't really make sense to me either.

I conclude that trying to link avidemux dynamically against the system
libavcodec
is not feasible. Shipping a static copy of avcodec and friends doesn't make me
feel too happy either :-/

-- 
regards,
    Reinhard




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Tue, 03 Jan 2012 07:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Tue, 03 Jan 2012 07:42:14 GMT) Full text and rfc822 format available.

Message #173 received at 203211@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Tue, 3 Jan 2012 08:31:48 +0100
On Tue, Jan 3, 2012 at 12:14 AM, Reinhard Tartler <siretart@gmail.com> wrote:
> On Mon, Jan 2, 2012 at 5:03 PM, Fabian Greffrath <fabian@greffrath.com> wrote:
>> Am 02.01.2012 16:53, schrieb Reinhard Tartler:
>>
>>> Does it nowadays work properly with the system libav, or does it still
>>> require its internal copy? If the latter, then it's going to be a lot of
>>> work to get it in shape.
>>
>>
>> I haven't had a look at the source, but according to the 2.5.6 release notes
>> they "Updated the FFmpeg libraries (version 0.9)". So this sounds like they
>> still use an internal copy, but since it's recent enough, maybe it's not
>> that hard to use the system libav headers and link against the system libs?
>
> I've now found the time to look at how avidemux "uses" ffmpeg, but
> unfortunately,
> I have bad news:
>
> avidemux specifically downloads an ffmpeg-0.9 tarball (we use libav in
> debian), and
> then applies a larger number of patches:
> http://svn.berlios.de/wsvn/avidemux/branches/avidemux_2.5_branch_gruntster/cmake/patches/
>
> Most of those patches actually look pretty scary to me. Additionally, most
> of the comments in those patches don't really make sense to me either.
>
> I conclude that trying to link avidemux dynamically against the system
> libavcodec
> is not feasible. Shipping a static copy of avcodec and friends doesn't make me
> feel too happy either :-/

I think I have a doable solution: Let's have the avidemux source
package build depend on
libav-source, and have avidemux's build system apply its patches on
that source. This way
we have have the code duplication only in the binary code, but no
longer have to binNMU
avidemux in case changes happen in Libav.

Fabian, what do you think about this solution?

-- 
regards,
    Reinhard




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Tue, 03 Jan 2012 07:42:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Tue, 03 Jan 2012 07:42:17 GMT) Full text and rfc822 format available.

Message #178 received at 203211@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Reinhard Tartler <siretart@gmail.com>, 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Tue, 03 Jan 2012 08:36:08 +0100
Am 03.01.2012 00:14, schrieb Reinhard Tartler:
> avidemux specifically downloads an ffmpeg-0.9 tarball (we use libav in
> debian), and
> then applies a larger number of patches:
> http://svn.berlios.de/wsvn/avidemux/branches/avidemux_2.5_branch_gruntster/cmake/patches/

Wow, sounds like the worst possible way to use a library in a 
downstream project.

> Most of those patches actually look pretty scary to me. Additionally, most
> of the comments in those patches don't really make sense to me either.

Most of the patches are entirely uncommented (well, except you count 
/* MEANX */ as a comment) and there is no trace of an attempt to get 
them included or even discussed upstream.

> I conclude that trying to link avidemux dynamically against the system
> libavcodec
> is not feasible. Shipping a static copy of avcodec and friends doesn't make me
> feel too happy either :-/

This and the fact that avidemux uses cmake as a build system (which I 
am not at all familiar with) made my personal interest cease for this 
package - although I admit that it would be "nice to have".

Anyone else?





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Tue, 03 Jan 2012 07:42:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Tue, 03 Jan 2012 07:42:19 GMT) Full text and rfc822 format available.

Message #183 received at 203211@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Reinhard Tartler <siretart@gmail.com>
Cc: 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Tue, 03 Jan 2012 08:40:56 +0100
Am 03.01.2012 08:31, schrieb Reinhard Tartler:
> I think I have a doable solution: Let's have the avidemux source
> package build depend on libav-source, and have avidemux's build
> system apply its patches on that source. This way we have the
> code duplication only in the binary code, but no longer have to
> binNMU avidemux in case changes happen in Libav.
>
> Fabian, what do you think about this solution?

Phew, sounds doable but not desirable and is IMHO too dirty for a
Debian package.

If we really decide to give this package a try, we should figure out
which patches are really necessary to actually build and use avidemux,
get in contact with the author of these patches and together try to 
convince upstream (whether ffmpeg or libav, I don't care) to either 
include them or find a cleaner solution for the problem they are 
supposed to solve.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Tue, 03 Jan 2012 09:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Tue, 03 Jan 2012 09:57:16 GMT) Full text and rfc822 format available.

Message #188 received at 203211@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Tue, 03 Jan 2012 10:56:25 +0100
On Di, Jan 03, 2012 at 08:40:56 (CET), Fabian Greffrath wrote:

> Am 03.01.2012 08:31, schrieb Reinhard Tartler:
>> I think I have a doable solution: Let's have the avidemux source
>> package build depend on libav-source, and have avidemux's build
>> system apply its patches on that source. This way we have the
>> code duplication only in the binary code, but no longer have to
>> binNMU avidemux in case changes happen in Libav.
>>
>> Fabian, what do you think about this solution?
>
> Phew, sounds doable but not desirable and is IMHO too dirty for a
> Debian package.

Well, it was built for libav-extra, but hey, why not.

> If we really decide to give this package a try, we should figure out
> which patches are really necessary to actually build and use avidemux,
> get in contact with the author of these patches and together try to
> convince upstream (whether ffmpeg or libav, I don't care) to either
> include them or find a cleaner solution for the problem they are
> supposed to solve.

That would be nice. However, I don't have the time and energy to
encourage avidemux upstream to collaborate properly with libav (or
ffmpeg).

Any other opinions on the libav-source approach?

Cheers,
Reinhard

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Thu, 05 Jan 2012 09:09:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 05 Jan 2012 09:09:25 GMT) Full text and rfc822 format available.

Message #193 received at 203211@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 203211@bugs.debian.org
Cc: Reinhard Tartler <siretart@gmail.com>, Richard Shaw <hobbes1069@gmail.com>
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Thu, 05 Jan 2012 10:13:05 +0100
Hi all,

I have checked the rpmfusion package for avidemux and they have 
patched it to use the system libraries for libass, liba52, llibmad and 
libtwolame at least. Furthermore, the package has "BuildRequires: 
ffmpeg-devel" but I could not found a patch to force it to use the 
system ffmpeg libraries.

I have put Richard Shaw, the maintainer of this package in rpmfusion 
into CC. Richard, can you tell us more about avidemux' usage of the 
ffmpeg libraries in your package?

Best Regards,
Fabian

PS: Sorry for top-posting, but the following text is a rather decent 
summary of our previous discussion...

Am 03.01.2012 00:14, schrieb Reinhard Tartler:
> On Mon, Jan 2, 2012 at 5:03 PM, Fabian Greffrath<fabian@greffrath.com>  wrote:
>> Am 02.01.2012 16:53, schrieb Reinhard Tartler:
>>
>>> Does it nowadays work properly with the system libav, or does it still
>>> require its internal copy? If the latter, then it's going to be a lot of
>>> work to get it in shape.
>>
>>
>> I haven't had a look at the source, but according to the 2.5.6 release notes
>> they "Updated the FFmpeg libraries (version 0.9)". So this sounds like they
>> still use an internal copy, but since it's recent enough, maybe it's not
>> that hard to use the system libav headers and link against the system libs?
>
> I've now found the time to look at how avidemux "uses" ffmpeg, but
> unfortunately,
> I have bad news:
>
> avidemux specifically downloads an ffmpeg-0.9 tarball (we use libav in
> debian), and
> then applies a larger number of patches:
> http://svn.berlios.de/wsvn/avidemux/branches/avidemux_2.5_branch_gruntster/cmake/patches/
>
> Most of those patches actually look pretty scary to me. Additionally, most
> of the comments in those patches don't really make sense to me either.
>
> I conclude that trying to link avidemux dynamically against the system
> libavcodec
> is not feasible. Shipping a static copy of avcodec and friends doesn't make me
> feel too happy either :-/
>





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Thu, 05 Jan 2012 15:06:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Shaw <hobbes1069@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 05 Jan 2012 15:06:19 GMT) Full text and rfc822 format available.

Message #198 received at 203211@bugs.debian.org (full text, mbox):

From: Richard Shaw <hobbes1069@gmail.com>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 203211@bugs.debian.org, Reinhard Tartler <siretart@gmail.com>
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Thu, 5 Jan 2012 09:04:55 -0600
On Thu, Jan 5, 2012 at 3:13 AM, Fabian Greffrath <fabian@greffrath.com> wrote:
> Hi all,
>
> I have checked the rpmfusion package for avidemux and they have patched it
> to use the system libraries for libass, liba52, llibmad and libtwolame at
> least. Furthermore, the package has "BuildRequires: ffmpeg-devel" but I
> could not found a patch to force it to use the system ffmpeg libraries.

I took over mantainership around 2.5.3 so I'm not the original author
of the spec file. Now that I think about it I probably don't need to
BR: ffmpeg-devel but the original maintainer may have begun an attempt
to un-bundle ffmpeg.


> I have put Richard Shaw, the maintainer of this package in rpmfusion into
> CC. Richard, can you tell us more about avidemux' usage of the ffmpeg
> libraries in your package?

As mentioned previously, the bundled ffmpeg is heavily patched. I
doubt if avidemux wasn't grandfathered in during the 3rd party repo
merger that it would pass a review request today since RPM Fusion has
the same policy against bundled libraries as Fedora. I had some luck
un-bundling some of the other libraries as you noticed, but ffmpeg is
beyond me.

I think a lot of the patches for ffmpeg are to maintain "frame
accuracy", this feature has been dropped from the upcoming 2.6 release
(there are pro's and con's to both approaches) and it may be much
easier to un-bundle ffmpeg from this version.

I've already started building preview release packages. The building
is rather odd, I actually have to do a temporary install of
avidemux_core in the %build section so the headers are available for
linking by all the other sub-projects (cli, QT, GTK,  plugins, etc.).
I know the build systems differ quite a bit but I would think the
building methodology would sill be the same. Let me know if anyone
would like to take a look and I'll make my spec file available.

I haven't yet taken a look at un-bundling ffmpeg from 2.6 so any help
would be appreciated.

Thanks,
Richard




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Thu, 05 Jan 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 05 Jan 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #203 received at 203211@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Richard Shaw <hobbes1069@gmail.com>
Cc: Fabian Greffrath <fabian@greffrath.com>, 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Thu, 5 Jan 2012 16:55:03 +0100
On Thu, Jan 5, 2012 at 4:04 PM, Richard Shaw <hobbes1069@gmail.com> wrote:
> On Thu, Jan 5, 2012 at 3:13 AM, Fabian Greffrath <fabian@greffrath.com> wrote:
>> Hi all,
>>
>> I have checked the rpmfusion package for avidemux and they have patched it
>> to use the system libraries for libass, liba52, llibmad and libtwolame at
>> least. Furthermore, the package has "BuildRequires: ffmpeg-devel" but I
>> could not found a patch to force it to use the system ffmpeg libraries.
>
> I took over mantainership around 2.5.3 so I'm not the original author
> of the spec file. Now that I think about it I probably don't need to
> BR: ffmpeg-devel but the original maintainer may have begun an attempt
> to un-bundle ffmpeg.

I'm a bit confused now. Fabian noticed that Fedora's avidemux 2.5.3
package already did unbundle ffmpeg. Is this untrue? Or did I
misunderstand you two?

>
>> I have put Richard Shaw, the maintainer of this package in rpmfusion into
>> CC. Richard, can you tell us more about avidemux' usage of the ffmpeg
>> libraries in your package?
>
> As mentioned previously, the bundled ffmpeg is heavily patched. I
> doubt if avidemux wasn't grandfathered in during the 3rd party repo
> merger that it would pass a review request today since RPM Fusion has
> the same policy against bundled libraries as Fedora. I had some luck
> un-bundling some of the other libraries as you noticed, but ffmpeg is
> beyond me.

We would be happy to share the work and take your patches for using
the system libraries for the Debian package. Besides, have you by
chance already asked upstream to comment on your patches? If yes, what
was the response?

> I think a lot of the patches for ffmpeg are to maintain "frame
> accuracy", this feature has been dropped from the upcoming 2.6 release
> (there are pro's and con's to both approaches) and it may be much
> easier to un-bundle ffmpeg from this version.

That's great to hear! Maybe we (i.e., in Debian) should, directly look
at packaging the 2.6 development branch.

> I've already started building preview release packages. The building
> is rather odd, I actually have to do a temporary install of
> avidemux_core in the %build section so the headers are available for
> linking by all the other sub-projects (cli, QT, GTK,  plugins, etc.).
> I know the build systems differ quite a bit but I would think the
> building methodology would sill be the same. Let me know if anyone
> would like to take a look and I'll make my spec file available.

Yes, that would probably be helpful for preparing the Debian package.
Do you use some VCS for your packaging work? In case you are
interested in our current packaging branch, it is at
http://anonscm.debian.org/gitweb/?p=pkg-multimedia/avidemux.git

> I haven't yet taken a look at un-bundling ffmpeg from 2.6 so any help
> would be appreciated.

Sure!


-- 
regards,
    Reinhard




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Thu, 05 Jan 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Shaw <hobbes1069@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 05 Jan 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #208 received at 203211@bugs.debian.org (full text, mbox):

From: Richard Shaw <hobbes1069@gmail.com>
To: Reinhard Tartler <siretart@gmail.com>
Cc: Fabian Greffrath <fabian@greffrath.com>, 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Thu, 5 Jan 2012 10:20:16 -0600
On Thu, Jan 5, 2012 at 9:55 AM, Reinhard Tartler <siretart@gmail.com> wrote:
> On Thu, Jan 5, 2012 at 4:04 PM, Richard Shaw <hobbes1069@gmail.com> wrote:
>> I took over mantainership around 2.5.3 so I'm not the original author
>> of the spec file. Now that I think about it I probably don't need to
>> BR: ffmpeg-devel but the original maintainer may have begun an attempt
>> to un-bundle ffmpeg.
>
> I'm a bit confused now. Fabian noticed that Fedora's avidemux 2.5.3
> package already did unbundle ffmpeg. Is this untrue? Or did I
> misunderstand you two?

To my knowledge ffmpeg has never been un-bundled in RPM Fusion and
certainly wasn't when I took over maintainership.


>> As mentioned previously, the bundled ffmpeg is heavily patched. I
>> doubt if avidemux wasn't grandfathered in during the 3rd party repo
>> merger that it would pass a review request today since RPM Fusion has
>> the same policy against bundled libraries as Fedora. I had some luck
>> un-bundling some of the other libraries as you noticed, but ffmpeg is
>> beyond me.
>
> We would be happy to share the work and take your patches for using
> the system libraries for the Debian package. Besides, have you by
> chance already asked upstream to comment on your patches? If yes, what
> was the response?

avidemux was my 2nd package ever :) I'm getting pretty good at
packaging but I'm not really a programmer other than a little Python.
IIRC my patches are pretty much brute force at this point which really
are not upstreamable. I do know cmake MUCH better than when I created
those patches so I may take another look.

I did take a quick look and the cmake portion of the patch would be
pretty easy to turn into a cmake option, however I also have to patch
the "#include'(s). I'm not sure if there's an easy way around this or
if they need to be converted into a <file>.cpp.in and get configured
for one or the other or if there's a way to  #if DEFINE a way around
it.


>> I think a lot of the patches for ffmpeg are to maintain "frame
>> accuracy", this feature has been dropped from the upcoming 2.6 release
>> (there are pro's and con's to both approaches) and it may be much
>> easier to un-bundle ffmpeg from this version.
>
> That's great to hear! Maybe we (i.e., in Debian) should, directly look
> at packaging the 2.6 development branch.

I still need to port my un-bundle patches over to 2.6, maybe that
would be the best time to make them more configurable.


>> I've already started building preview release packages. The building
>> is rather odd, I actually have to do a temporary install of
>> avidemux_core in the %build section so the headers are available for
>> linking by all the other sub-projects (cli, QT, GTK,  plugins, etc.).
>> I know the build systems differ quite a bit but I would think the
>> building methodology would sill be the same. Let me know if anyone
>> would like to take a look and I'll make my spec file available.
>
> Yes, that would probably be helpful for preparing the Debian package.
> Do you use some VCS for your packaging work? In case you are
> interested in our current packaging branch, it is at
> http://anonscm.debian.org/gitweb/?p=pkg-multimedia/avidemux.git

Not currently for the avidemux preview release as I'd have to get
through a review request to host it at RPM Fusion.

Richard




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#203211; Package wnpp. (Thu, 05 Jan 2012 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 05 Jan 2012 16:27:02 GMT) Full text and rfc822 format available.

Message #213 received at 203211@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Reinhard Tartler <siretart@gmail.com>
Cc: Richard Shaw <hobbes1069@gmail.com>, 203211@bugs.debian.org
Subject: Re: Bug#203211: RFP: avidemux -- A small editing software for avi (especially DivX)
Date: Thu, 05 Jan 2012 17:30:22 +0100
Am 05.01.2012 16:55, schrieb Reinhard Tartler:
> I'm a bit confused now. Fabian noticed that Fedora's avidemux 2.5.3
> package already did unbundle ffmpeg. Is this untrue? Or did I
> misunderstand you two?

No, I just noticed that *some* libraries are unbundled and that the 
package Build-Depends on ffmpeg-dev, whereas I have not found any 
effort to unbundle ffmpeg itself and use the system libraries instead. 
I found that perplexing and that's the very reason why I contacted 
Richard in the first place.

> We would be happy to share the work and take your patches for using
> the system libraries for the Debian package. Besides, have you by
> chance already asked upstream to comment on your patches? If yes, what
> was the response?

For the four libraries I mentioned in my initial mail, these are 
mostly trivial patches which change around three lines each.

> That's great to hear! Maybe we (i.e., in Debian) should, directly look
> at packaging the 2.6 development branch.

If this drops (or at least make it possible to drop) the patches 
against ffmpeg, definitely!

> Yes, that would probably be helpful for preparing the Debian package.
> Do you use some VCS for your packaging work? In case you are
> interested in our current packaging branch, it is at
> http://anonscm.debian.org/gitweb/?p=pkg-multimedia/avidemux.git

Let's work together on this (i.e. the unbundling of ffmpeg from 
avidemux and packaging of the newest avidemux version for which this 
is actually possible), co-operations with Fedora have always turned 
out satisfactory in the past - at least this is my personal perception. ;)

 - Fabian




Removed annotation that Bug was owned by pkg-multimedia-maintainers@lists.alioth.debian.org. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 00:39:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#203211; Package wnpp. (Sun, 10 Jun 2012 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 10 Jun 2012 22:54:03 GMT) Full text and rfc822 format available.

Message #220 received at 203211@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: Debian Bug Tracking System <203211@bugs.debian.org>
Subject: Re: RFP: avidemux -- a video editing software
Date: Mon, 11 Jun 2012 01:51:29 +0300
Package: wnpp
Followup-For: Bug #203211

Maybe, some cooperation with Ubuntu could be helpful?
They have avidemux 2.5.4 in repositories (while the latest stable version is
2.5.6):
https://launchpad.net/ubuntu/+source/avidemux
https://bugs.launchpad.net/bugs/793581




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#203211; Package wnpp. (Tue, 17 Jul 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 17 Jul 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #225 received at 203211@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 203211@bugs.debian.org
Subject: avidemux: frame accuracy
Date: Tue, 17 Jul 2012 14:37:50 -0700
Hi,

Today I needed to cut a video clip out of a larger file. I tried using 
avconv and mencoder and both were able to cut out the clip, but both had 
horrible problems with audio and video getting out of sync.

I installed avidemux from deb-multimedia.org and was able to use it to cut 
out a clip with sync'd audio/video. Whatever patches they are using for 
"frame accuracy" they worked well. The other thing that might be relevant 
is that when I fired up avidemux on the source file it prompted me "Index 
is not up to date. You should use Tool->Rebuild frame. Do it now?" to which 
I answered "Yes". Maybe something was off with my source file and this 
fixed it and helped with cutting out the clip?

It would be good to have the ability to perform this task using packages in 
debian (be it with avidemux, a fixed avconv, whatever). avidemux also seems 
like a nice GUI, it would be good to have in debian if the embedded library 
issue can be solved.

Thanks,

-- 
Matt Taggart
taggart@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#203211; Package wnpp. (Mon, 10 Sep 2012 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 10 Sep 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #230 received at 203211@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: Debian Bug Tracking System <203211@bugs.debian.org>
Subject: Re: RFP: avidemux -- a video editing software
Date: Tue, 11 Sep 2012 00:47:54 +0300
Package: wnpp
Followup-For: Bug #203211

Avidemux 2.6.0 is released: http://avidemux.sourceforge.net/news.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#203211; Package wnpp. (Fri, 21 Dec 2012 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 21 Dec 2012 17:24:03 GMT) Full text and rfc822 format available.

Message #235 received at 203211@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: 203211@bugs.debian.org
Subject: Re: bug #203211: RFP: avidemux -- a video editing software
Date: Fri, 21 Dec 2012 21:22:10 +0400
Avidemux 2.6.1 has been released.

http://avidemux.sourceforge.net/news.html
http://avidemux.sourceforge.net/download.html
http://sourceforge.net/projects/avidemux/files/avidemux/2.6.1/

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:57:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.